org.apache.maven.scm.provider.cvslib.cvsjava.util

## Class ExtConnection

- java.lang.Object
- - org.netbeans.lib.cvsclient.connection.AbstractConnection
  - - org.apache.maven.scm.provider.cvslib.cvsjava.util.ExtConnection

- All Implemented Interfaces:
    org.netbeans.lib.cvsclient.connection.Connection

      public class ExtConnection
      extends org.netbeans.lib.cvsclient.connection.AbstractConnection

  Version:
    $Id: ExtConnection.java 685548 2008-08-13 13:35:49Z vsiveton $
  Author:
    Emmanuel Venisse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtConnection(org.netbeans.lib.cvsclient.CVSRoot cvsRoot)`
    `ExtConnection(String host, int port, String username, String password, String repository)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `getPort()`
    `boolean` | `isOpen()`
    `void` | `modifyInputStream(org.netbeans.lib.cvsclient.connection.ConnectionModifier modifier)`
    `void` | `modifyOutputStream(org.netbeans.lib.cvsclient.connection.ConnectionModifier modifier)`
    `void` | `open()`
    `void` | `verify()`

    - ### Methods inherited from class org.netbeans.lib.cvsclient.connection.AbstractConnection

      `getInputStream, getOutputStream, getRepository, setInputStream, setOutputStream, setRepository, verifyProtocol`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtConnection

          public ExtConnection(org.netbeans.lib.cvsclient.CVSRoot cvsRoot)

    - #### ExtConnection

          public ExtConnection(String host,
                       int port,
                       String username,
                       String password,
                       String repository)

  - ### Method Detail

    - #### open

          public void open()
                    throws org.netbeans.lib.cvsclient.connection.AuthenticationException,
                           org.netbeans.lib.cvsclient.command.CommandAbortedException

      Throws:
        `org.netbeans.lib.cvsclient.connection.AuthenticationException`
        `org.netbeans.lib.cvsclient.command.CommandAbortedException`

    - #### verify

          public void verify()
                      throws org.netbeans.lib.cvsclient.connection.AuthenticationException

      Throws:
        `org.netbeans.lib.cvsclient.connection.AuthenticationException`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

    - #### isOpen

          public boolean isOpen()

    - #### getPort

          public int getPort()

    - #### modifyInputStream

          public void modifyInputStream(org.netbeans.lib.cvsclient.connection.ConnectionModifier modifier)
                                 throws IOException

      Throws:
        `IOException`

    - #### modifyOutputStream

          public void modifyOutputStream(org.netbeans.lib.cvsclient.connection.ConnectionModifier modifier)
                                  throws IOException

      Throws:
        `IOException`

Copyright © 2003–2015. All rights reserved.